Как мне обновить до Python 2.7?

7

Я использую Ubuntu 10.10, который по умолчанию устанавливается с Python 2.6, однако для некоторых приложений, которые я хочу использовать, требуется 2.7, и я хочу обновить.

Как мне это сделать?

    
задан Alex 10.02.2012 в 00:23
источник

3 ответа

5

Он уже находится в официальных репозиториях: Ссылка

sudo apt-get install python2.7

Затем вы выполняете python2.7

P.S. Поддержка ubuntu 10.10 заканчивается в апреле 2012 года: Ссылка

    
ответ дан Savvas Radevic 10.02.2012 в 00:51
3

Deadsnakes PPA полезен для старых и новых версий Python.

Lucid through Precise поддерживает версии 2.x и 3.x. Поскольку вы ищете 10.10, прямая ссылка:

  

Ссылка

    
ответ дан Teg 10.02.2012 в 07:01
1
  1. Обновить источники Ubuntu 10.10 ( кредит ).

    Потому что 10.10 больше не поддерживается .

    sudo sed -i -e 's/archive.ubuntu.com\|security.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list
    sudo apt-get update
    
  2. Установить команду add-apt-repository ( кредит ):

    Это не позволяет вам получить ошибку sudo: add-apt-repository: command not found на следующем шаге.

    sudo apt-get install python-software-properties
    
  3. Установить Deadsnakes PPA кредит ):

    sudo add-apt-repository ppa:fkrull/deadsnakes
    sudo apt-get update
    
  4. Установить Python 2.7 :

    sudo apt-get install python2.7
    
  5. Profit!

    $ python2.7 --version
    Python 2.7.4
    

Изменить: Вы также можете установить python 3.3 таким образом. Просто замените шаг 4 следующим:

sudo apt-get install python3.3

То же самое касается python 2.4, 2.5, 3.1, 3.2 и т. д.

    
ответ дан meshy 23.08.2013 в 12:52